VULKAN_HPP_NAMESPACE::GeometryTrianglesNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::GeometryTrianglesNV:
[legend]

## Public Member Functions

| GeometryTrianglesNV (Buffer vertexData_=Buffer(), DeviceSize vertexOffset_=0, uint32_t vertexCount_=0, DeviceSize vertexStride_=0, Format vertexFormat_=Format::eUndefined, Buffer indexData_=Buffer(), DeviceSize indexOffset_=0, uint32_t indexCount_=0, IndexType indexType_=IndexType::eUint16, Buffer transformData_=Buffer(), DeviceSize transformOffset_=0)
| GeometryTrianglesNV (VkGeometryTrianglesNV const &rhs)
GeometryTrianglesNV & | operator= (VkGeometryTrianglesNV const &rhs)
GeometryTrianglesNV & | setPNext (const void *pNext_)
GeometryTrianglesNV & | setVertexData (Buffer vertexData_)
GeometryTrianglesNV & | setVertexOffset (DeviceSize vertexOffset_)
GeometryTrianglesNV & | setVertexCount (uint32_t vertexCount_)
GeometryTrianglesNV & | setVertexStride (DeviceSize vertexStride_)
GeometryTrianglesNV & | setVertexFormat (Format vertexFormat_)
GeometryTrianglesNV & | setIndexData (Buffer indexData_)
GeometryTrianglesNV & | setIndexOffset (DeviceSize indexOffset_)
GeometryTrianglesNV & | setIndexCount (uint32_t indexCount_)
GeometryTrianglesNV & | setIndexType (IndexType indexType_)
GeometryTrianglesNV & | setTransformData (Buffer transformData_)
GeometryTrianglesNV & | setTransformOffset (DeviceSize transformOffset_)
| operator VkGeometryTrianglesNV const & () const
| operator VkGeometryTrianglesNV & ()
bool | operator== (GeometryTrianglesNV const &rhs) const
bool | operator!= (GeometryTrianglesNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
Buffer | vertexData
DeviceSize | vertexOffset
uint32_t | vertexCount
DeviceSize | vertexStride
Format | vertexFormat
Buffer | indexData
DeviceSize | indexOffset
uint32_t | indexCount
IndexType | indexType
Buffer | transformData
DeviceSize | transformOffset

## Private Attributes

StructureType | sType = StructureType::eGeometryTrianglesNV

## Detailed Description

Definition at line 20236 of file vulkan.hpp.

## Constructor & Destructor Documentation

## GeometryTrianglesNV() [1/2]

VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::GeometryTrianglesNV | ( | Buffer | vertexData_ = `Buffer()`,
|  | DeviceSize | vertexOffset_ = `0`,
|  | uint32_t | vertexCount_ = `0`,
|  | DeviceSize | vertexStride_ = `0`,
|  | Format | vertexFormat_ = `Format::eUndefined`,
|  | Buffer | indexData_ = `Buffer()`,
|  | DeviceSize | indexOffset_ = `0`,
|  | uint32_t | indexCount_ = `0`,
|  | IndexType | indexType_ = `IndexType::eUint16`,
|  | Buffer | transformData_ = `Buffer()`,
|  | DeviceSize | transformOffset_ = `0`
| ) |  |

inline

Definition at line 20238 of file vulkan.hpp.

: vertexData( vertexData_ )
, vertexOffset( vertexOffset_ )
, vertexCount( vertexCount_ )
, vertexStride( vertexStride_ )
, vertexFormat( vertexFormat_ )
, indexData( indexData_ )
, indexOffset( indexOffset_ )
, indexCount( indexCount_ )
, indexType( indexType_ )
, transformData( transformData_ )
, transformOffset( transformOffset_ )
{
}

## GeometryTrianglesNV() [2/2]

VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::GeometryTrianglesNV | ( | VkGeometryTrianglesNV const & | rhs | ) |

inline

Definition at line 20263 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryTrianglesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkGeometryTrianglesNV &()

VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator VkGeometryTrianglesNV & | ( |  | ) |

inline

Definition at line 20350 of file vulkan.hpp.

{
return *reinterpret_cast<VkGeometryTrianglesNV*>(this);
}

## operator VkGeometryTrianglesNV const &()

VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator VkGeometryTrianglesNV const & | ( |  | ) | const

inline

Definition at line 20345 of file vulkan.hpp.

{
return *reinterpret_cast<const VkGeometryTrianglesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator!= | ( | GeometryTrianglesNV const & | rhs | ) | const

inline

Definition at line 20372 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator= | ( | VkGeometryTrianglesNV const & | rhs | ) |

inline

Definition at line 20268 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( GeometryTrianglesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator== | ( | GeometryTrianglesNV const & | rhs | ) | const

inline

Definition at line 20355 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( vertexData == rhs.vertexData )
&& ( vertexOffset == rhs.vertexOffset )
&& ( vertexCount == rhs.vertexCount )
&& ( vertexStride == rhs.vertexStride )
&& ( vertexFormat == rhs.vertexFormat )
&& ( indexData == rhs.indexData )
&& ( indexOffset == rhs.indexOffset )
&& ( indexCount == rhs.indexCount )
&& ( indexType == rhs.indexType )
&& ( transformData == rhs.transformData )
&& ( transformOffset == rhs.transformOffset );
}

References indexCount, indexData, indexOffset, indexType, pNext, sType, transformData, transformOffset, vertexCount, vertexData, vertexFormat, vertexOffset, and vertexStride.

Referenced by operator!=().

## setIndexCount()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setIndexCount | ( | uint32_t | indexCount_ | ) |

inline

Definition at line 20321 of file vulkan.hpp.

{
indexCount = indexCount_;
return *this;
}

References indexCount.

## setIndexData()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setIndexData | ( | Buffer | indexData_ | ) |

inline

Definition at line 20309 of file vulkan.hpp.

{
indexData = indexData_;
return *this;
}

References indexData.

## setIndexOffset()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setIndexOffset | ( | DeviceSize | indexOffset_ | ) |

inline

Definition at line 20315 of file vulkan.hpp.

{
indexOffset = indexOffset_;
return *this;
}

References indexOffset.

## setIndexType()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setIndexType | ( | IndexType | indexType_ | ) |

inline

Definition at line 20327 of file vulkan.hpp.

{
indexType = indexType_;
return *this;
}

References indexType.

## setPNext()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 20273 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setTransformData()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setTransformData | ( | Buffer | transformData_ | ) |

inline

Definition at line 20333 of file vulkan.hpp.

{
transformData = transformData_;
return *this;
}

References transformData.

## setTransformOffset()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setTransformOffset | ( | DeviceSize | transformOffset_ | ) |

inline

Definition at line 20339 of file vulkan.hpp.

{
transformOffset = transformOffset_;
return *this;
}

References transformOffset.

## setVertexCount()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setVertexCount | ( | uint32_t | vertexCount_ | ) |

inline

Definition at line 20291 of file vulkan.hpp.

{
vertexCount = vertexCount_;
return *this;
}

References vertexCount.

## setVertexData()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setVertexData | ( | Buffer | vertexData_ | ) |

inline

Definition at line 20279 of file vulkan.hpp.

{
vertexData = vertexData_;
return *this;
}

References vertexData.

## setVertexFormat()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setVertexFormat | ( | Format | vertexFormat_ | ) |

inline

Definition at line 20303 of file vulkan.hpp.

{
vertexFormat = vertexFormat_;
return *this;
}

References vertexFormat.

## setVertexOffset()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setVertexOffset | ( | DeviceSize | vertexOffset_ | ) |

inline

Definition at line 20285 of file vulkan.hpp.

{
vertexOffset = vertexOffset_;
return *this;
}

References vertexOffset.

## setVertexStride()

GeometryTrianglesNV& VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::setVertexStride | ( | DeviceSize | vertexStride_ | ) |

inline

Definition at line 20297 of file vulkan.hpp.

{
vertexStride = vertexStride_;
return *this;
}

References vertexStride.

## Field Documentation

## indexCount

uint32_t VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexCount

Definition at line 20389 of file vulkan.hpp.

Referenced by operator==(), and setIndexCount().

## indexData

Buffer VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexData

Definition at line 20387 of file vulkan.hpp.

Referenced by operator==(), and setIndexData().

## indexOffset

DeviceSize VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexOffset

Definition at line 20388 of file vulkan.hpp.

Referenced by operator==(), and setIndexOffset().

## indexType

IndexType VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexType

Definition at line 20390 of file vulkan.hpp.

Referenced by operator==(), and setIndexType().

## pNext

const void* VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::pNext = nullptr

Definition at line 20381 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::sType = StructureType::eGeometryTrianglesNV

private

Definition at line 20378 of file vulkan.hpp.

Referenced by operator==().

## transformData

Buffer VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::transformData

Definition at line 20391 of file vulkan.hpp.

Referenced by operator==(), and setTransformData().

## transformOffset

DeviceSize VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::transformOffset

Definition at line 20392 of file vulkan.hpp.

Referenced by operator==(), and setTransformOffset().

## vertexCount

uint32_t VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexCount

Definition at line 20384 of file vulkan.hpp.

Referenced by operator==(), and setVertexCount().

## vertexData

Buffer VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexData

Definition at line 20382 of file vulkan.hpp.

Referenced by operator==(), and setVertexData().

## vertexFormat

Format VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexFormat

Definition at line 20386 of file vulkan.hpp.

Referenced by operator==(), and setVertexFormat().

## vertexOffset

DeviceSize VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexOffset

Definition at line 20383 of file vulkan.hpp.

Referenced by operator==(), and setVertexOffset().

## vertexStride

DeviceSize VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexStride

Definition at line 20385 of file vulkan.hpp.

Referenced by operator==(), and setVertexStride().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::pNext
const void * pNext
Definition: vulkan.hpp:20381
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexData
Buffer vertexData
Definition: vulkan.hpp:20382
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::sType
StructureType sType
Definition: vulkan.hpp:20378
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::GeometryTrianglesNV
GeometryTrianglesNV(Buffer vertexData_=Buffer(), DeviceSize vertexOffset_=0, uint32_t vertexCount_=0, DeviceSize vertexStride_=0, Format vertexFormat_=Format::eUndefined, Buffer indexData_=Buffer(), DeviceSize indexOffset_=0, uint32_t indexCount_=0, IndexType indexType_=IndexType::eUint16, Buffer transformData_=Buffer(), DeviceSize transformOffset_=0)
Definition: vulkan.hpp:20238
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexType
IndexType indexType
Definition: vulkan.hpp:20390
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::transformData
Buffer transformData
Definition: vulkan.hpp:20391
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::operator==
bool operator==(GeometryTrianglesNV const &rhs) const
Definition: vulkan.hpp:20355
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexOffset
DeviceSize indexOffset
Definition: vulkan.hpp:20388
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexOffset
DeviceSize vertexOffset
Definition: vulkan.hpp:20383
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexCount
uint32_t indexCount
Definition: vulkan.hpp:20389
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexCount
uint32_t vertexCount
Definition: vulkan.hpp:20384
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexStride
DeviceSize vertexStride
Definition: vulkan.hpp:20385
VkGeometryTrianglesNV
Definition: vulkan_core.h:8222
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::vertexFormat
Format vertexFormat
Definition: vulkan.hpp:20386
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::transformOffset
DeviceSize transformOffset
Definition: vulkan.hpp:20392
VULKAN_HPP_NAMESPACE::GeometryTrianglesNV::indexData
Buffer indexData
Definition: vulkan.hpp:20387